Show / Hide Table of Contents

# Delegate PluginManager.PluginEnableDelegate

An invoker for the PluginEnabled event.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate void PluginEnableDelegate(PluginLoader.PluginInfo plugin, bool needsRestart);

##### Parameters

Type | Name | Description
--- | --- | ---
PluginLoader.PluginInfo | plugin | the plugin that was enabled
Boolean | needsRestart | whether it needs a restart to take effect

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])